Index: xtra/pgagent/include/misc.h
===================================================================
--- xtra/pgagent/include/misc.h	(revision 5009)
+++ xtra/pgagent/include/misc.h	(working copy)
@@ -15,7 +15,7 @@
 
 
 void WaitAWhile(const bool waitLong=false);
-void setOptions(int argc, char **argv);
+void setOptions(int argc, char **argv, const wxString& executable);
 wxString getArg(int &argc, char** &argv);
 wxString NumToStr(const long l);
 wxString qtString(const wxString& value);
Index: xtra/pgagent/misc.cpp
===================================================================
--- xtra/pgagent/misc.cpp	(revision 5009)
+++ xtra/pgagent/misc.cpp	(working copy)
@@ -15,6 +15,8 @@
 #include <unistd.h>
 #endif
 
+// In unix.c or win32.c
+void usage(const wxString& executable);
 
 wxString getArg(int &argc, char** &argv)
 {
@@ -40,7 +42,7 @@
 }
 
 
-void setOptions(int argc, char **argv)
+void setOptions(int argc, char **argv, const wxString& executable)
 {
     while (argc-- > 0)
     {
@@ -76,6 +78,11 @@
                     break;
                 }
 #endif
+                default:
+                {
+                    usage(executable);
+                    exit(1);
+                }
             }
         }
         else
Index: xtra/pgagent/unix.cpp
===================================================================
--- xtra/pgagent/unix.cpp	(revision 5009)
+++ xtra/pgagent/unix.cpp	(working copy)
@@ -92,7 +92,7 @@
     argc--;
     argv++;
 
-    setOptions(argc, argv);
+    setOptions(argc, argv, executable);
 
     if (!runInForeground)
         daemonize();
Index: xtra/pgagent/win32.cpp
===================================================================
--- xtra/pgagent/win32.cpp	(revision 5009)
+++ xtra/pgagent/win32.cpp	(working copy)
@@ -355,7 +355,7 @@
 
 ////////////////////////////////////////////////////////////
 
-void setupForRun(int argc, char **argv, bool debug=false)
+void setupForRun(int argc, char **argv, bool debug, const wxString& executable)
 {
     if (!debug)
     {
@@ -364,7 +364,7 @@
             LogMessage(_("Couldn't register event handle."), LOG_ERROR);
     }
 
-    setOptions(argc, argv);
+    setOptions(argc, argv, executable);
 }
 
 
@@ -439,7 +439,7 @@
     }
     else if (command == wxT("DEBUG"))
     {
-        setupForRun(argc, argv, true);
+        setupForRun(argc, argv, true, executable);
 
         initService();
 #if START_SUSPENDED
@@ -453,7 +453,7 @@
         SERVICE_TABLE_ENTRY serviceTable[] =
             { (unsigned short *)_("pgAgent Service"), serviceMain, 0, 0};
 
-        setupForRun(argc, argv);
+        setupForRun(argc, argv, false, executable);
 
         if (!StartServiceCtrlDispatcher(serviceTable))
         {
